Bug 881048 - When Installing openstack-glance, python-keystone should be installed
Summary: When Installing openstack-glance, python-keystone should be installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: 2.0 (Folsom)
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Martin Magr
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks: 852064
TreeView+ depends on / blocked
 
Reported: 2012-11-28 13:51 UTC by Nir Magnezi
Modified: 2013-01-29 11:09 UTC (History)
1 user (show)

Fixed In Version: openstack-glance-2012.2.1-2.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-29 11:09:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:0204 0 normal SHIPPED_LIVE OpenStack 2012.2 Folsom Preview bug fix and enhancement update 2013-01-29 16:08:59 UTC

Description Nir Magnezi 2012-11-28 13:51:58 UTC
Description of problem:
=======================
I installed openstack in a distributed way, Meaning a single service per Host/VM.
I'd expect that all the packages needed for me to configure and run that service, to be installed by dependency.

Based on: https://access.redhat.com/knowledge/docs/en-US/Red_Hat_OpenStack_Preview/2/html-single/Getting_Started_Guide/index.html
I installed glance on a single host, started the openstack-glance-registry and openstack-glance-api .
The logs were filled with errors.

Version-Release number of selected component (if applicable):
=============================================================
Folsom.

How reproducible:
=================
Always.

Steps to Reproduce:
===================
1. Follow: https://access.redhat.com/knowledge/docs/en-US/Red_Hat_OpenStack_Preview/2/html-single/Getting_Started_Guide/index.html#idm47720984
2. tail -f /var/log/glance/*
 
Actual results:
===============
1. The package python-keystoneclient not installed.
2. The package python-keystone not installed.
3. both glance-registry and glance-api errors:

DEBUG glance.common.config [-] Loading glance-api-keystone from /etc/glance/glance-api-paste.ini load_paste_app /usr/lib/python2.6/site-packages/glance/common/config.py:184
ERROR eventlet.wsgi.server [-] SIGTERM or SIGINT received


openstack-utils in not installed.

Expected results:
=================
1. The package python-keystoneclient should be installed.
2. The package python-keystone should be installed.
3. No Errors in glance-api and glance-registry logs.

Comment 2 Alan Pevec 2013-01-11 17:36:58 UTC
(In reply to comment #0)
> Expected results:
> 1. The package python-keystoneclient should be installed.

why is that? I don't see keystoneclient used in Glance Folsom, it is a glanceclient dep which should pull it in

> 2. The package python-keystone should be installed.

that's required for authtoken middleware, bug 881810 comment 4
Done by Martin in openstack-glance-2012.2.1-2.el6ost

Comment 4 Nir Magnezi 2013-01-15 13:12:58 UTC
Verified with: openstack-glance
Version: 2012.2.1-3.el6ost

Executing: 
# yum install openstack-glance

Requires python-keystone

Comment 6 errata-xmlrpc 2013-01-29 11:09:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-0204.html


Note You need to log in before you can comment on or make changes to this bug.